API referenceChatMessage
Retrieves the collection of ChatMessage resources.
Retrieves the collection of ChatMessage resources.
GET
/api/orders/{id}/external_messagescurl -X GET "/api/orders/{id}/external_messages?externalCustomerId=" \
-H "apikey: $MEDIALISTER_API_KEY"Authorization
apikeystringheaderrequiredValue for the apikey header parameter.
Parameters
idstringpathrequiredChatMessage identifier
pageintegerqueryThe collection page number
Default:1itemsPerPageintegerqueryThe number of items per page
Default:10externalCustomerIdstringqueryrequiredThe order's external customer, the end client reading the conversation
Response
application/ld+json200
ChatMessage collection
hydra:totalItemsintegerhydra:searchobjecthydra:viewobjecthydra:memberChatMessage.jsonld-chatMessage.read_chatMessage.item.read_chatMessage.external.read_all.read[]required
{
"hydra:totalItems": 0,
"hydra:search": {
"@type": "string",
"hydra:template": "string",
"hydra:variableRepresentation": "string",
"hydra:mapping": [
{
"@type": "string",
"variable": "string",
"property": "string",
"required": true
}
]
},
"hydra:view": {
"@id": "string",
"@type": "string",
"hydra:first": "string",
"hydra:last": "string",
"hydra:previous": "string",
"hydra:next": "string"
},
"hydra:member": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"content": "string",
"senderType": 0,
"senderName": "string",
"publicSenderName": "string",
"senderUser": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"country": "/api/geo_locations/0a097745-ff39-4659-8cae-a9bfb596a124",
"email": "string",
"phone": "+111 11111111",
"fullName": "John Doe",
"confirmedAt": "2026-01-15T09:30:00Z",
"invitedAt": "2026-01-15T09:30:00Z",
"bannedUntil": "2026-01-15T09:30:00Z",
"referredBy": "string",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"publicId": "string"
},
"externalCustomerId": "string",
"chatMessagesRead": [
{
"clientUser": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"country": "/api/geo_locations/0a097745-ff39-4659-8cae-a9bfb596a124",
"email": "string",
"phone": "+111 11111111",
"fullName": "John Doe",
"confirmedAt": "2026-01-15T09:30:00Z",
"invitedAt": "2026-01-15T09:30:00Z",
"bannedUntil": "2026-01-15T09:30:00Z",
"referredBy": "string",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"publicId": "string"
},
"adminId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"readAt": "2026-01-15T09:30:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}
],
"orderExtra": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"title": "string",
"description": "string",
"price": "string",
"currency": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"symbol": "string",
"type": "fiat",
"decimals": 2
},
"paymentFee": "string",
"incomeFee": "string",
"status": 0,
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"desiredPrice": {},
"earnings": {},
"total": {},
"orderExtraTotalPrice": {},
"extraType": 0,
"orderPublicId": "string"
},
"readAt": "2026-01-15T09:30:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"ownMessage": true
}
]
}